"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getReadmeConfig = void 0;
const tslib_1 = require("tslib");
const path_1 = tslib_1.__importDefault(require("path"));
const utils_1 = require("./utils");
function getReadmeConfig({ packagePath, cwd }) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const packages = {};
        const configs = [];
        const hasReadmeLow = yield utils_1.hasFile(cwd, 'readme.md');
        const hasReadmeUp = yield utils_1.hasFile(cwd, 'README.md');
        const hasReadme = hasReadmeLow || hasReadmeUp;
        if (!hasReadme) {
            return { packages, configs };
        }
        configs.push({
            pluginName: 'PluginReadme',
            options: {
                file: hasReadmeUp ? path_1.default.join(packagePath || '', 'README.md') : path_1.default.join(packagePath || '', 'readme.md'),
            },
        });
        packages['@dash4/plugin-readme'] = true;
        return { packages, configs };
    });
}
exports.getReadmeConfig = getReadmeConfig;
//# sourceMappingURL=get-readme-config.js.map